search for: ac59a4c

Displaying 3 results from an estimated 3 matches for "ac59a4c".

2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...$0: cleanup: exit code $status - kill $pid rm -f $files - - exit $status } -trap cleanup INT QUIT TERM EXIT ERR +cleanup_fn cleanup # Wait for socat to start up and create the socket. for i in `seq 1 10`; do diff --git a/tests/test-tls-psk.sh b/tests/test-tls-psk.sh index 99c5945..ac59a4c 100755 --- a/tests/test-tls-psk.sh +++ b/tests/test-tls-psk.sh @@ -31,9 +31,9 @@ # OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF # SUCH DAMAGE. +source ./functions.sh set -e set -x -source ./functions.sh # Don't fail if certain commands aren't available. if !...
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here: https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html v2: - Fix tab vs spaces in configure.ac. - To generate list of plugins, use printf instead of xargs. - Use 'source ./functions.sh' instead of 'source functions'. - functions.sh: Consistent quoting in foreach_plugin function. - functions.sh: Change the contract of start_nbdkit so it
2018 Sep 13
0
[PATCH v2 nbdkit 5/5] tests: Add a helper function which waits for nbdkit to start up.
...i - sleep 1 -done -if ! test -f start.pid; then - echo "$0: PID file was not created" - exit 1 -fi - +start_nbdkit -P start.pid -U start.sock example1 pid="$(cat start.pid)" # Check the process exists. diff --git a/tests/test-tls-psk.sh b/tests/test-tls-psk.sh index ac59a4c..9e88782 100755 --- a/tests/test-tls-psk.sh +++ b/tests/test-tls-psk.sh @@ -78,29 +78,9 @@ for port in `seq 51000 65535`; do done echo picked unused port $port -nbdkit -P tls-psk.pid -p $port -n --tls=require --tls-psk=keys.psk example1 - -# We may have to wait a short time for the pid file to...